# erc20bridge

Bridge erc20 token from L1 to L2 via gas token portal.

## Install dependencies

1. install nvm and use node v20.
```shell
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.40.1/install.sh | bash
source ~/.bashrc # if you used zsh, please replace .bashrc with .zshrc
nvm install v20
nvm use v20
```

2. clone code and install packages.
```shell
git clone  https://code.wuban.net.cn/exchain/erc20bridge
cd erc20bridge
npm install --save-dev hardhat
npm install 
```

## How to deploy token ?

#### 1. Copy `.env.example` to `.env` and fill in the environment variables.
#### 2. Change token name and symbol in `deploy.js`.
#### 3. Run command `npx hardhat run scripts/deploy.js --network test` to deploy token.


## How to bridge token ?
#### 1. Fill in the `account.json` file with the accounts you want to bridge.
#### 2. Fill in the `bridge.js` file with the token address and portal address.
#### 3. Run command `npx hardhat run scripts/bridge.js --network test` to bridge token.

