// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;
import "@openzeppelin/contracts/token/ERC20/ERC20.sol";

contract GasToken is ERC20 {
    address owner;
    modifier onlyOwner() {
        require(msg.sender == owner, "only owner can call this function");
        _;
    }
    constructor(uint256 initialSupply, string memory name, string memory symbol) ERC20(name, symbol) {
        _mint(msg.sender, initialSupply);
    }
    function mint(address to, uint256 amount) public onlyOwner {
        _mint(to, amount * 10 **this.decimals());
    }
}