const { ethers } = require("hardhat");

async function deploy() {
    const GasToken = await ethers.getContractFactory("GasToken");
    const usdxToken = await GasToken.deploy(100000000000, "USDX", "USDX");
    await usdxToken.waitForDeployment();
    const usdxTokenAddress = await usdxToken.getAddress();
    console.log("USDX deployed to:", usdxTokenAddress);

    return usdxToken
}


async function main() {
    [owner] = await ethers.getSigners();
    console.log("start scripts with owner:", owner.address);
    await deploy();
}

main()
    .then(() => process.exit(0))
    .catch(error => {
        console.error(error);
        process.exit(1);
    });
